osgParticle::SectorPlacer Class Reference

`#include <SectorPlacer>`

Inheritance diagram for osgParticle::SectorPlacer:

## Public Member Functions

| SectorPlacer ()
| SectorPlacer (const SectorPlacer &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
const rangef & | getRadiusRange () const
| Get the range of possible values for radius.
void | setRadiusRange (const rangef &r)
| Set the range of possible values for radius.
void | setRadiusRange (float r1, float r2)
| Set the range of possible values for radius.
const rangef & | getPhiRange () const
| Get the range of possible values for the central angle.
void | setPhiRange (const rangef &r)
| Set the range of possible values for the central angle.
void | setPhiRange (float r1, float r2)
| Set the range of possible values for the central angle.
| META_Object (osgParticle, SectorPlacer)
void | place (Particle *P) const
| Place a particle. Do not call it manually.
float | volume () const
| return the area of the sector
osg::Vec3 | getControlPosition () const
| return the control position
Public Member Functions inherited from osgParticle::CenteredPlacer
| CenteredPlacer ()
| CenteredPlacer (const CenteredPlacer &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual const char * | libraryName () const
virtual const char * | className () const
virtual bool | isSameKindAs (const osg::Object *obj) const
const osg::Vec3 & | getCenter () const
| Get the center point.
void | setCenter (const osg::Vec3 &v)
| Set the center point.
void | setCenter (float x, float y, float z)
| Set the center point.
Public Member Functions inherited from osgParticle::Placer
| Placer ()
| Placer (const Placer &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~SectorPlacer ()
SectorPlacer & | operator= (const SectorPlacer &)
Protected Member Functions inherited from osgParticle::CenteredPlacer
virtual | ~CenteredPlacer ()
Protected Member Functions inherited from osgParticle::Placer
| ~Placer ()
Placer & | operator= (const Placer &)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

A sector-shaped particle placer. This placer sets the initial position of incoming particle by choosing a random position within a circular sector; this sector is defined by three parameters: a center point, which is inherited directly from `osgParticle::CenteredPlacer`, a range of values for radius, and a range of values for the central angle (sometimes called phi).

## Constructor & Destructor Documentation

## SectorPlacer() [1/2]

osgParticle::SectorPlacer::SectorPlacer | ( |  | ) |

inline

References osgParticle::CenteredPlacer::CenteredPlacer().

Referenced by META_Object(), operator=(), and SectorPlacer().

## SectorPlacer() [2/2]

osgParticle::SectorPlacer::SectorPlacer | ( | const SectorPlacer & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

inline

References osgParticle::CenteredPlacer::CenteredPlacer(), and SectorPlacer().

## ~SectorPlacer()

virtual osgParticle::SectorPlacer::~SectorPlacer | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getControlPosition()

osg::Vec3 osgParticle::SectorPlacer::getControlPosition | ( |  | ) | const

inline virtual

return the control position

Implements osgParticle::Placer.

References osgParticle::CenteredPlacer::getCenter().

## getPhiRange()

const rangef & osgParticle::SectorPlacer::getPhiRange | ( |  | ) | const

inline

Get the range of possible values for the central angle.

## getRadiusRange()

const rangef & osgParticle::SectorPlacer::getRadiusRange | ( |  | ) | const

inline

Get the range of possible values for radius.

## META_Object()

osgParticle::SectorPlacer::META_Object | ( | osgParticle | ,
|  | SectorPlacer | )

References SectorPlacer().

## operator=()

SectorPlacer & osgParticle::SectorPlacer::operator= | ( | const SectorPlacer & |  | ) |

inline protected

References SectorPlacer().

## place()

void osgParticle::SectorPlacer::place | ( | Particle * | P | ) | const

inline virtual

Place a particle. Do not call it manually.

Implements osgParticle::Placer.

References osgParticle::CenteredPlacer::getCenter(), and osgParticle::Particle::setPosition().

## setPhiRange() [1/2]

void osgParticle::SectorPlacer::setPhiRange | ( | const rangef & | r | ) |

inline

Set the range of possible values for the central angle.

## setPhiRange() [2/2]

void osgParticle::SectorPlacer::setPhiRange | ( | float | r1,
|  | float | r2 )

inline

Set the range of possible values for the central angle.

References osgParticle::range< ValueType >::minimum.

## setRadiusRange() [1/2]

void osgParticle::SectorPlacer::setRadiusRange | ( | const rangef & | r | ) |

inline

Set the range of possible values for radius.

## setRadiusRange() [2/2]

void osgParticle::SectorPlacer::setRadiusRange | ( | float | r1,
|  | float | r2 )

inline

Set the range of possible values for radius.

References osgParticle::range< ValueType >::minimum.

## volume()

float osgParticle::SectorPlacer::volume | ( |  | ) | const

inline virtual

return the area of the sector

Reimplemented from osgParticle::Placer.

The documentation for this class was generated from the following file:

- SectorPlacer